Package org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

# Class Bulkhead3ClassAsynchronousBean

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead3ClassAsynchronousBean

@Bulkhead(3) @Asynchronous @ApplicationScoped public class Bulkhead3ClassAsynchronousBean extends Object
A simple class level Asychronous @Bulkhead(3)

Author:
  Gordon Hutchison, Andrew Rouse

## Constructor Summary

Constructors
Constructor
Description
`Bulkhead3ClassAsynchronousBean()`

## Method Summary

Modifier and Type
Method
Description
`Future<?>`
`test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Bulkhead3ClassAsynchronousBean

public Bulkhead3ClassAsynchronousBean()

## Method Details

### test

public Future<?> test(Barrier barrier)